org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAAttributeMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAAttributeMapType

-     public class JPAAttributeMapType
      extends Object

  The default name for EDM property is derived from JPA attribute name. This can be overriden using JPAAttributeMapType.

  Java class for JPAAttributeMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPAAttributeMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="JPAAttribute" maxOccurs="unbounded" minOccurs="0">
       <complexType>
       <simpleContent>
       <extension base="<http://www.w3.org/2001/XMLSchema>string">
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       <attribute name="exclude" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
       </extension>
       </simpleContent>
       </complexType>
       </element>
       </sequence>
       </restriction>
       </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPAAttributeMapType.JPAAttribute` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<JPAAttributeMapType.JPAAttribute>` | `jpaAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAAttributeMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<JPAAttributeMapType.JPAAttribute>` | `getJPAAttribute()` Gets the value of the jpaAttribute property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jpaAttribute

          protected List<JPAAttributeMapType.JPAAttribute> jpaAttribute

  - ### Constructor Detail

    - #### JPAAttributeMapType

          public JPAAttributeMapType()

  - ### Method Detail

    - #### getJPAAttribute

          public List<JPAAttributeMapType.JPAAttribute> getJPAAttribute()

      Gets the value of the jpaAttribute property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jpaAttribute property.

      For example, to add a new item, do as follows:

           getJPAAttribute().add(newItem);

      Objects of the following type(s) are allowed in the list `JPAAttributeMapType.JPAAttribute`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.